#pragma once

#include <list>
#include "IResizeNotifiable.hpp"

namespace TSE
{
    class IResizable
    {
        protected:
        float width;
        float height;
        std::list<IResizeNotifiable*> objectsToResize;

        public:
        void AddResizeNotifiable(IResizeNotifiable* obj);
        void RemoveResizeNotifiable(IResizeNotifiable* obj);
    };
} // namespace TSE
